Redeem Gift Card
Redeems a specified amount from a gift card. Deducts the amount from the gift card balance and returns the transaction result. This is typically used when a customer wants to use their gift card for a purchase, allowing the merchant to process the redemption and update the remaining balance on the card.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details to redeem the gift card amount
- Type: stringcard
Number max length:30Pattern: ^\d+$requiredGift Card number for which amount will be redeemed
- Type: stringreference
Number min length:1max length:40Pattern: ^[0-9]+$requiredA unique reference number for the transaction.
- Type: object ·transaction
Amount Details required - Type: string Format: date-timetransaction
Date Time Local requiredThe transaction date and time in local format.
- Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
- Type: string · enumchannelvalues
- None
- P
O S - Kiosk
- Type: string | nullgift
Card Pass Code The passcode associated with the Gift Card.
- Type: string | nullinvoice
Number max length:14The invoice number associated with the transaction.
- Type: string · enumpayment
Source values- Scan
To Pay - Online
- None
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/giftcard/v1/redeem \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"cardNumber": "GIFT_CARD_NUMBER_GOES_HERE",
"giftCardPassCode": "GIFT_CARD_PASSCODE_GOES_HERE",
"referenceNumber": "258",
"invoiceNumber": 2148,
"transactionDateTimeUTC": "2026-03-06T11:28:29.72623Z",
"transactionDateTimeLocal": "2026-03-06T11:28:29.726",
"transactionAmountDetails": {
"taxAmount": 0,
"discount": 0,
"productTotalAmount": 0,
"totalAmount": 10000,
"tip": null
},
"paymentSource": "Online",
"channel": null
}'
{
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"statusMessage": "APPROVAL",
"balanceAmount": "759.14",
"transactionAmount": "1000.00",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7261913Z",
"status": "Success"
}